Subject: Re: bug#58721: 28.2; dired with delete-by-moving-to-trash can't trash directory twice

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Oct 2022 14:44:29 +0300

> From: Gustavo Barros <[email-masked]>
> Date: Fri, 28 Oct 2022 07:43:08 -0300
> Cc: [email-masked]
> 
> I take this means you still cannot reproduce...

I don't have the necessary configuration here to try reproducing.  You
said it doesn't happen when moving to trash just a small directory, so
it's quite clear that something specific to your system is at work here.

> I'm sorry, I don't know what else I can try, I'm out of my depth
> here. Do you have anything you'd like me to try?

Try figuring out why the make-directory call fails.  What is the name
of the directory that fails the call, and why?

> Can anyone else reproduce this, or is it really just me?

Yes, if someone else could reproduce, it could help.

> >  Perhaps on your system something happens in the
> > background, due to one of the filesystems being encrypted or
> > something?
> 
> The encrypted partition is open and mounted, as far as the system can
> see, it is just another ext4 partition. More clearly, it cannot be
> encryption per se, since the "/tmp/" folder is not encrypted at all,
> it is just a tmpfs mount. It's fstab entry is:
> 
>     tmpfs /tmp tmpfs nodev,nosuid,size=6G 0 0
> 
> Of course, it might still be "or something". But I don't do anything
> out of the ordinary here that I'm aware of.

Here are some questions for you to try to answer:

  . Does this happen only with moves across filesystems?
  . Would any target filesystem do, or just some special kind(s)/
  . What is the difference between the first move and the subsequent
    moves that triggers the error?

Thanks.